# GNS3 WoL Emulator

Emulate Wake-On-LAN behavior in a GNS3 environment.

This run on the host GNS3 server and listen for a WoL message on the system on any device.
If found, it will wake up the destination machine based on its MAC address.

## Dependencies

Debian : 
```bash
# Build dependencies
sudo apt install build-essential ninja-build cmake
# Application dependencies
sudo apt install libpcap-dev
```

## Downloads

```bash
git clone --recurse-submodules https://git.isriupjv.fr/ISRI/gns3-wol-emulator
```

## Build

```bash
cmake -S ./ -B ./build/ -G "Ninja"
cd ./build/
ninja
```

## Run

```bash
# Root required for sniffing the network
sudo ./gns3_wol_emulator
```